StandardCopyOption (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: java.nio.file, enum: StandardCopyOption
Keywords: java.nio.file.StandardCopyOption class

Module java.base
Package java.nio.file

# Enum StandardCopyOption

java.lang.Object
java.lang.Enum<StandardCopyOption>
java.nio.file.StandardCopyOption

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardCopyOption>`, `Constable`, `CopyOption`

    public enum StandardCopyOption
    extends Enum<StandardCopyOption>
    implements CopyOption

Defines the standard copy options.

Since:
  1.7

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ATOMIC_MOVE` | Move the file as an atomic file system operation.
  `COPY_ATTRIBUTES` | Copy attributes to the new file.
  `REPLACE_EXISTING` | Replace an existing file if it exists.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static StandardCopyOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static StandardCopyOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPLACE_EXISTING

    public static final StandardCopyOption REPLACE_EXISTING
    Replace an existing file if it exists.

  - ### COPY_ATTRIBUTES

    public static final StandardCopyOption COPY_ATTRIBUTES
    Copy attributes to the new file.

  - ### ATOMIC_MOVE

    public static final StandardCopyOption ATOMIC_MOVE
    Move the file as an atomic file system operation.

- ## Method Details

  - ### values

    public static StandardCopyOption[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StandardCopyOption valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null